<template>
  <div>
    <label
      class="radio-button"
      :class="{'mb-3': isFreeAnswerDisplayed, transparent: transparent}"
    >
    <span
      class="custom-radio"
      :class="{checked: isChecked}"
    >
      <input
        :value="inputValue"
        @input="$emit('input', inputValue)"
        type="radio"
        :checked="isChecked"
        class="hidden"
      >
    </span>
      <slot></slot>
    </label>
    <textarea
      v-if="isFreeAnswerDisplayed"
      class="ta-input"
      :value="textValue"
      @input="$emit('textInput', $event.target.value)"
    >

    </textarea>
  </div>
</template>

<script>
export default {
  name: "RadioInput",
  props: {
    value: [String],
    inputValue: {
      type: String,
    },
    textValue: {
      type: String,
    },
    hasFreeAnswer: {
      type: Boolean,
      default: false,
    },
    transparent: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    isChecked() {
      return this.value === this.inputValue
    },
    isFreeAnswerDisplayed() {
      return this.hasFreeAnswer && this.isChecked
    }
  }
}
</script>

<style scoped>

</style>
